Package edu.claflin.finder.algo.spanningtree

# Class Kruskal

java.lang.Object
edu.claflin.finder.algo.Algorithm
edu.claflin.finder.algo.spanningtree.ExtremumSpanningTree
edu.claflin.finder.algo.spanningtree.Kruskal

All Implemented Interfaces:
  `Processable<Graph,Graph>`

public class Kruskal extends ExtremumSpanningTree

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class edu.claflin.finder.algo.Algorithm

  `Algorithm.GraphSortOrder`

- ## Field Summary

  ### Fields inherited from class edu.claflin.finder.algo.spanningtree.ExtremumSpanningTree

  `max, threshold`

  ### Fields inherited from class edu.claflin.finder.algo.Algorithm

  `args, PROP_PROGRESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Kruskal(ArgumentsBundle bundle)`
  Public constructor for initializing the Kruskal with default conditions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayList<Graph>`
  `process(Graph graph)`
  Processes data.
  `String`
  `toString()`

  ### Methods inherited from class edu.claflin.finder.algo.spanningtree.ExtremumSpanningTree

  `edgeMeetsThreshold, getName`

  ### Methods inherited from class edu.claflin.finder.algo.Algorithm

  `addPropertyChangeListener, cull, getGraphSortOrder, getMinNodeCount, getPartiteNumber, getWeightName, removePropertyChangeListener, setGraphSortOrder, setMinNodeCount, setPartiteNumber, setProgress, setWeightName, zeropad`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Kruskal

    public Kruskal(ArgumentsBundle bundle)
    Public constructor for initializing the Kruskal with default conditions.
    Parameters:
      `bundle` - the ArgumentsBundle containing the instantiation arguments.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### process

    public ArrayList<Graph> process(Graph graph)
    Processes data.
    Finds the Minimum Spanning Tree MST with Kruskal's algorithm.
    Parameters:
      `graph` - the `Graph` object to search through.
    Returns:
      the ArrayList of Graph objects holding the MST.